Subject: [multipathtcp] Implementers meeting in Hiroshima

From: Costin Raiciu <[email-masked]>
Date: Wed, 4 Nov 2009 12:13:57 +0000

Hi,

We plan to have an mptcp implementers meeting in Hiroshima, with the  
purpose to coordinate efforts and share knowledge on implementing  
mptcp. A few people have expressed interest in helping implementing  
MPTCP. If you still want to help, this is a good time to start.  
Please reply stating preferences for days and times. Anything except  
monday afternoon works for me.

I am currently aware of three implementations of mptcp in:
- userland (based on an older Linux kernel, ported to userland) - by  
me. It implements a subset of the spec, and works on v4.
- kernel 2.6, by Sebastien Barre, that works over ipv6 and uses shim6  
as a way to provide multiple paths. Soon this is will changed to  
support v4 and address exchange through options, as defined in the  
protocol draft.
- kernel 2.6 by Michio Honda. As far as I know this is incomplete,  
and doesn't run at all.

Any others?

The second implementation (kernel 2.6) has been coded using the  
userland experience, so it is more polished, and could be used as a  
good starting point for a reference implementation.

I will come back with date and time proposals once enough people reply.

Thanks,
Costin

---

From: Sébastien Barré <[email-masked]>
Date: Wed, 04 Nov 2009 16:35:33 +0100

Hi,

Regarding the second implementation, I will setup a trac platform for 
that project, so that people can easily contribute, and I will make a 
first release so that people can easily install for playing.
I will send another mail as soon as the trac repository is set up, 
probably by the end of next week. The code is currently using the git 
scm software, and the git tree will be connected to the trac platform. 
Unfortunately I will not be able to attend that meeting, but Costin 
knows well about this implementation.

regards,

Sébastien.

Costin Raiciu a écrit :
> MPTCP. If you still want to help, this is a good time to start. Please 
> reply stating preferences for days and times. Anything except monday 
> afternoon works for me.
>
> - kernel 2.6 by Michio Honda. As far as I know this is incomplete, and 
> doesn't run at all.
>
> Any others?
>
> _______________________________________________
> multipathtcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multipathtcp

-- 
Sébastien Barré
Researcher,
CSE department, UCLouvain, Belgium
http://inl.info.ucl.ac.be/sbarre

---

From: Daniel Migault <[email-masked]>
Date: Wed, 4 Nov 2009 17:13:45 +0100

I would be interested to attempt this meeting since we are working on IPsec
and multihoming issues. --i.e. interactions with IKEv2.

Wednesday afternoon after dnsop would be nice for me.

Regards,

Daniel
2009/11/4 Sébastien Barré <[email-masked]>

> Hi,
>
> Regarding the second implementation, I will setup a trac platform for that
> project, so that people can easily contribute, and I will make a first
> release so that people can easily install for playing.
> I will send another mail as soon as the trac repository is set up, probably
> by the end of next week. The code is currently using the git scm software,
> and the git tree will be connected to the trac platform. Unfortunately I
> will not be able to attend that meeting, but Costin knows well about this
> implementation.
>
> regards,
>
> Sébastien.
>
> Costin Raiciu a écrit :
>
>  Hi,
>>
>> purpose to coordinate efforts and share knowledge on implementing mptcp. A
>> few people have expressed interest in helping implementing MPTCP. If you
>> still want to help, this is a good time to start. Please reply stating
>> preferences for days and times. Anything except monday afternoon works for
>> me.
>>
>> - userland (based on an older Linux kernel, ported to userland) - by me.
>> It implements a subset of the spec, and works on v4.
>> - kernel 2.6, by Sebastien Barre, that works over ipv6 and uses shim6 as a
>> way to provide multiple paths. Soon this is will changed to support v4 and
>> address exchange through options, as defined in the protocol draft.
>> The second implementation (kernel 2.6) has been coded using the userland
>> experience, so it is more polished, and could be used as a good starting
>> point for a reference implementation.
>>

-- 
Daniel Migault
Orange Labs -- Security
+33 6 70 72 69 58

---

From: Michio Honda <[email-masked]>
Date: Fri, 6 Nov 2009 17:11:32 +0900

Hi,

Wednesday afternoon is also fine for me.

Best regards
-Michio

On Nov 5, 2009, at 1:13 , Daniel Migault wrote:

> I would be interested to attempt this meeting since we are working  
> on IPsec and multihoming issues. --i.e. interactions with IKEv2.
>
> Regarding the second implementation, I will setup a trac platform  
> for that project, so that people can easily contribute, and I will  
> make a first release so that people can easily install for playing.
> probably by the end of next week. The code is currently using the  
> git scm software, and the git tree will be connected to the trac  
> platform. Unfortunately I will not be able to attend that meeting,  
> but Costin knows well about this implementation.
>
> regards,
>
> Sébastien.
>
> Costin Raiciu a écrit :
>
> Hi,
>
> - kernel 2.6, by Sebastien Barre, that works over ipv6 and uses  
> shim6 as a way to provide multiple paths. Soon this is will changed  
> to support v4 and address exchange through options, as defined in  
> the protocol draft.

---

From: Yoshifumi Nishida <[email-masked]>
Date: Mon, 09 Nov 2009 13:37:36 +0900 (JST)

Hi, 
The implementers meeting is planned to be held around 15:00 Wed.
If you're intrested in joining, please send a message to this ML 
or notify costin or michio.
They're going to go a cafe near the ANA hotel.

Thanks,
--
Yoshifumi Nishida
[email-masked]

From: Costin Raiciu <[email-masked]>
Subject: [multipathtcp] Implementers meeting in Hiroshima
Date: Wed, 4 Nov 2009 12:13:57 +0000
Message-ID: <[email-masked]>

 > - me. It implements a subset of the spec, and works on v4.
 > - kernel 2.6, by Sebastien Barre, that works over ipv6 and uses shim6 as
 > - a way to provide multiple paths. Soon this is will changed to support
 > - v4 and address exchange through options, as defined in the protocol
 > - draft.
 > - doesn't run at all.